package domain

type AlibabaWdkMarketingCouponCreateactivityMarketResult struct {
	/*
	   错误信息     */
	Message *string `json:"message,omitempty" `

	/*
	   创建成功时会返回五道口优惠券活动id     */
	Data *int64 `json:"data,omitempty" `

	/*
	   错误码     */
	ErrorCode *string `json:"error_code,omitempty" `

	/*
	   创建优惠券活动是否成功     */
	Success *bool `json:"success,omitempty" `
}

func (s *AlibabaWdkMarketingCouponCreateactivityMarketResult) SetMessage(v string) *AlibabaWdkMarketingCouponCreateactivityMarketResult {
	s.Message = &v
	return s
}
func (s *AlibabaWdkMarketingCouponCreateactivityMarketResult) SetData(v int64) *AlibabaWdkMarketingCouponCreateactivityMarketResult {
	s.Data = &v
	return s
}
func (s *AlibabaWdkMarketingCouponCreateactivityMarketResult) SetErrorCode(v string) *AlibabaWdkMarketingCouponCreateactivityMarketResult {
	s.ErrorCode = &v
	return s
}
func (s *AlibabaWdkMarketingCouponCreateactivityMarketResult) SetSuccess(v bool) *AlibabaWdkMarketingCouponCreateactivityMarketResult {
	s.Success = &v
	return s
}
